Account Default
The account default resource.
/accountDefaultList account defaults
Retrieve a paginated list of account defaults. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/accountDefault?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"companyId": "xyz789",
"salesAccount": "string",
"salesDiscountAccount": "string",
"costOfGoodsSoldAccount": "string",
"purchaseVarianceAccount": "string",
"inventoryAdjustmentVarianceAccount": "string",
"materialVarianceAccount": "string",
"laborAndMachineVarianceAccount": "string"
}
]/accountDefaultRetrieve a account default
Fetch a single account default by filtering on `companyId`.
Query parameters
companyIdstringMatch on the account default's `companyId`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/accountDefault?companyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"companyId": "xyz789",
"salesAccount": "string",
"salesDiscountAccount": "string",
"costOfGoodsSoldAccount": "string",
"purchaseVarianceAccount": "string",
"inventoryAdjustmentVarianceAccount": "string",
"materialVarianceAccount": "string",
"laborAndMachineVarianceAccount": "string"
}/accountDefaultCreate a account default
Create a new account default.
Body parameters
salesAccountstringrequiredReferences account.id
salesDiscountAccountstringrequiredReferences account.id
costOfGoodsSoldAccountstringrequiredReferences account.id
purchaseVarianceAccountstringrequiredReferences account.id
inventoryAdjustmentVarianceAccountstringrequiredReferences account.id
materialVarianceAccountstringrequiredReferences account.id
laborAndMachineVarianceAccountstringrequiredReferences account.id
indirectCostAccountstringrequiredReferences account.id
maintenanceAccountstringrequiredReferences account.id
assetDepreciationExpenseAccountstringrequiredReferences account.id
assetGainsAndLossesAccountstringrequiredReferences account.id
serviceChargeAccountstringrequiredReferences account.id
interestAccountstringrequiredReferences account.id
supplierPaymentDiscountAccountstringrequiredReferences account.id
customerPaymentDiscountAccountstringrequiredReferences account.id
roundingAccountstringrequiredReferences account.id
assetAquisitionCostAccountstringrequiredReferences account.id
assetAquisitionCostOnDisposalAccountstringrequiredReferences account.id
accumulatedDepreciationAccountstringrequiredReferences account.id
accumulatedDepreciationOnDisposalAccountstringrequiredReferences account.id
inventoryAccountstringrequiredReferences account.id
workInProgressAccountstringrequiredReferences account.id
receivablesAccountstringrequiredReferences account.id
inventoryShippedNotInvoicedAccountstringrequiredReferences account.id
bankCashAccountstringrequiredReferences account.id
bankLocalCurrencyAccountstringrequiredReferences account.id
bankForeignCurrencyAccountstringrequiredReferences account.id
prepaymentAccountstringrequiredReferences account.id
payablesAccountstringrequiredReferences account.id
salesTaxPayableAccountstringrequiredReferences account.id
purchaseTaxPayableAccountstringrequiredReferences account.id
reverseChargeSalesTaxPayableAccountstringrequiredReferences account.id
retainedEarningsAccountstringrequiredReferences account.id
goodsReceivedNotInvoicedAccountstringrequiredReferences account.id
overheadVarianceAccountstringrequiredReferences account.id
lotSizeVarianceAccountstringrequiredReferences account.id
subcontractingVarianceAccountstringrequiredReferences account.id
currencyTranslationAccountstringrequiredReferences account.id
laborAbsorptionAccountstringReferences account.id
curl --request POST \
--url https://rest.carbon.ms/accountDefault \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"salesAccount":"string","salesDiscountAccount":"string","costOfGoodsSoldAccount":"string","purchaseVarianceAccount":"string","inventoryAdjustmentVarianceAccount":"string","materialVarianceAccount":"string","laborAndMachineVarianceAccount":"string","indirectCostAccount":"string","maintenanceAccount":"string","assetDepreciationExpenseAccount":"string","assetGainsAndLossesAccount":"string","serviceChargeAccount":"string","interestAccount":"string","supplierPaymentDiscountAccount":"string","customerPaymentDiscountAccount":"string","roundingAccount":"string","assetAquisitionCostAccount":"string","assetAquisitionCostOnDisposalAccount":"string","accumulatedDepreciationAccount":"string","accumulatedDepreciationOnDisposalAccount":"string","inventoryAccount":"string","workInProgressAccount":"string","receivablesAccount":"string","inventoryShippedNotInvoicedAccount":"string","bankCashAccount":"string","bankLocalCurrencyAccount":"string","bankForeignCurrencyAccount":"string","prepaymentAccount":"string","payablesAccount":"string","salesTaxPayableAccount":"string","purchaseTaxPayableAccount":"string","reverseChargeSalesTaxPayableAccount":"string","retainedEarningsAccount":"string","goodsReceivedNotInvoicedAccount":"string","overheadVarianceAccount":"string","lotSizeVarianceAccount":"string","subcontractingVarianceAccount":"string","currencyTranslationAccount":"string"}'{
"companyId": "xyz789",
"salesAccount": "string",
"salesDiscountAccount": "string",
"costOfGoodsSoldAccount": "string",
"purchaseVarianceAccount": "string",
"inventoryAdjustmentVarianceAccount": "string",
"materialVarianceAccount": "string",
"laborAndMachineVarianceAccount": "string"
}/accountDefaultUpdate a account default
Update an existing account default, matched on `companyId`.
Body parameters
salesAccountstringrequiredReferences account.id
salesDiscountAccountstringrequiredReferences account.id
costOfGoodsSoldAccountstringrequiredReferences account.id
purchaseVarianceAccountstringrequiredReferences account.id
inventoryAdjustmentVarianceAccountstringrequiredReferences account.id
materialVarianceAccountstringrequiredReferences account.id
laborAndMachineVarianceAccountstringrequiredReferences account.id
indirectCostAccountstringrequiredReferences account.id
maintenanceAccountstringrequiredReferences account.id
assetDepreciationExpenseAccountstringrequiredReferences account.id
assetGainsAndLossesAccountstringrequiredReferences account.id
serviceChargeAccountstringrequiredReferences account.id
interestAccountstringrequiredReferences account.id
supplierPaymentDiscountAccountstringrequiredReferences account.id
customerPaymentDiscountAccountstringrequiredReferences account.id
roundingAccountstringrequiredReferences account.id
assetAquisitionCostAccountstringrequiredReferences account.id
assetAquisitionCostOnDisposalAccountstringrequiredReferences account.id
accumulatedDepreciationAccountstringrequiredReferences account.id
accumulatedDepreciationOnDisposalAccountstringrequiredReferences account.id
inventoryAccountstringrequiredReferences account.id
workInProgressAccountstringrequiredReferences account.id
receivablesAccountstringrequiredReferences account.id
inventoryShippedNotInvoicedAccountstringrequiredReferences account.id
bankCashAccountstringrequiredReferences account.id
bankLocalCurrencyAccountstringrequiredReferences account.id
bankForeignCurrencyAccountstringrequiredReferences account.id
prepaymentAccountstringrequiredReferences account.id
payablesAccountstringrequiredReferences account.id
salesTaxPayableAccountstringrequiredReferences account.id
purchaseTaxPayableAccountstringrequiredReferences account.id
reverseChargeSalesTaxPayableAccountstringrequiredReferences account.id
retainedEarningsAccountstringrequiredReferences account.id
goodsReceivedNotInvoicedAccountstringrequiredReferences account.id
overheadVarianceAccountstringrequiredReferences account.id
lotSizeVarianceAccountstringrequiredReferences account.id
subcontractingVarianceAccountstringrequiredReferences account.id
currencyTranslationAccountstringrequiredReferences account.id
laborAbsorptionAccountstringReferences account.id
curl --request PATCH \
--url 'https://rest.carbon.ms/accountDefault?companyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"salesAccount":"string"}'{
"companyId": "xyz789",
"salesAccount": "string",
"salesDiscountAccount": "string",
"costOfGoodsSoldAccount": "string",
"purchaseVarianceAccount": "string",
"inventoryAdjustmentVarianceAccount": "string",
"materialVarianceAccount": "string",
"laborAndMachineVarianceAccount": "string"
}/accountDefaultDelete a account default
Delete a account default, matched on `companyId`. Returns 204 No Content.
Query parameters
companyIdstringThe `companyId` of the account default to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/accountDefault?companyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'